<?php

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class User extends Eloquent {

	protected $table = 'users';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('email', 'password', 'remember_token', 'ativo');
	protected $hidden = array('remember_token');

	public function role()
	{
		return $this->belongsToMany('Role');
	}

	public function attempts()
	{
		return $this->hasMany('Secoes');
	}

	public function empresas()
	{
		return $this->hasMany('Empresas', 'empresas_id');
	}

	public function tecnicos()
	{
		return $this->hasMany('Tecnicos', 'tecnicos_id');
	}

}